import { x as r, b as a, U as s } from "./index-39a17799.mjs";
import u from "/Users/qiweicun/Desktop/vscode/mis-component-vue3/node_modules/crypto-js/md5.js";
const y = {
  /**
   * 查询当前用户授权菜单树
   */
  async queryAuthorizeTreeMenus() {
    return await r.get(a.MENU_TREE_LIST);
  },
  /**
   * 根据条件进行分页查询角色列表
   */
  async queryAllRole(t = {}) {
    return await r.get(a.LIST, t);
  },
  // 新增角色
  async addRole(t) {
    return await r.post(a.ADD, t);
  },
  // 更新角色
  async modifyRole(t, e) {
    return await r.put(a.MODIFY(t), e);
  },
  // 删除角色
  async deleteRole(t) {
    return await r.delete(a.DELETE(t));
  },
  /**
   * 获取表单授权的角色信息
   * @param {*} formId 表单ID
   * @returns
   */
  async getRoleFormList(t) {
    return await r.get(a.ROLE_FORM_LIST(t));
  },
  /**
   * 向角色授权表单
   * @param {*} roleId 角色ID
   * @param {*} formId 表单ID
   * @returns
   */
  async bindForm(t, e) {
    return await r.post(a.BIND_FORM(t), e);
  },
  /**
   * 向角色取消表单授权
   * @param {*} roleId 角色ID
   * @param {*} formId 表单ID
   * @returns
   */
  async unbindForm(t, e) {
    return await r.post(a.UNBIND_FORM(t), e);
  },
  // 获取被选中的规则的所有id
  async getDataRules(t, e) {
    return await r.get(a.DATA_RULE_LIST(t), {
      rule_table: e
    });
  },
  // 授权规则
  async bindDataRule(t, e) {
    return await r.post(a.BIND_DATA_RULE(t), e);
  },
  // 取消规则授权
  async unbindDataRule(t, e) {
    return await r.post(a.UNBIND_DATA_RULE(t), e);
  },
  /**
   * 查询角色菜单列表(把子树平铺)
   * @param {string} roleId 角色id
   */
  async queryAuthorizeMenus(t) {
    return await r.get(a.MENU_LIST(t), {});
  },
  /**
   * 角色授权菜单
   * @param {string} roleId 角色id
   * @param {array} menuIds 菜单id数组
   */
  async authorizeMenu(t, e) {
    return await r.post(a.AUTHORIZE_MENU(t), e);
  },
  /**
   * 角色取消授权菜单
   * @param {string} roleId 角色id
   * @param {array} menuIds 资源id数组
   */
  async revokeMenu(t, e) {
    return await r.post(a.REVOKE_MENU(t), e);
  },
  /**
   * 角色授权资源(接口）
   * @param {string} roleId 角色id
   * @param {array} resourceIds 资源id数组
   */
  async authorizeResource(t, e) {
    return await r.post(
      a.AUTHORIZE_RESOURCE(t),
      e
    );
  },
  /**
   * 角色取消授权资源（接口）
   * @param {string} roleId 角色id
   * @param {array} resourceIds 资源id数组
   */
  async revokeResource(t, e) {
    return await r.post(a.REVOKE_RESOURCE(t), e);
  },
  // 授权资源查询(接口)
  async authResource(t, e) {
    return await r.get(
      a.AUTH_RESOURCE(t),
      e
    );
  }
}, c = {
  // 修改用户密码接口
  async userModifyPassword({ confirmPassword: t, newPassword: e, oldPassword: n }) {
    return e = u(e).toString(), n = u(n).toString(), t = u(t).toString(), await r.post("user/modifyPassword", {
      confirmPassword: t,
      newPassword: e,
      oldPassword: n
    });
  },
  // 用户编号查询
  async queryUserInfo(t) {
    return await r.get(`user/${t}`);
  },
  async batchCreateUser({ code: t, roleId: e }) {
    return await r.post("organUser/batchCreate", { code: t, roles: [e] });
  },
  // !上面是旧的接口，需要删除
  /**
   * 根据条件进行分页查询用户列表
   */
  async queryUserList({
    page: t,
    backRole: e = !0,
    backOrganization: n = !0,
    username: i,
    nickname: o,
    size: R
  }) {
    return r.get(s.LIST, {
      page: t,
      backRole: e,
      backOrganization: n,
      username: i,
      nickname: o,
      size: R
    });
  },
  async getUserList(t) {
    return await r.get(s.LIST, t);
  },
  // 保存用户接口
  async addUser(t) {
    return t.password = u(t.password).toString(), await r.post(s.ADD_USER, t);
  },
  // 更新用户接口
  async updateUser(t) {
    return await r.put(s.MODIFY_USER(t._id), t);
  },
  // 批量停用用户账号接口
  async suspendUser(t) {
    return await r.post(s.SUSPEND_USER(t), {});
  },
  // 批量启用用户账号接口
  async resumeUser(t) {
    return await r.post(s.RESUME_USER(t), {});
  },
  // 批量重置用户密码接口
  async resetUserPasswords(t) {
    const { userIds: e } = t;
    if (e.length === 0)
      throw new Error("userIds不能为空");
    return await r.post(s.RESET_PASSWORD, t);
  },
  // 根据用户编号批量删除用户接口
  async deleteUser(t) {
    return await r.delete(s.DELETE_USER(t));
  }
};
export {
  y as r,
  c as u
};
